$nav: nav;

.nav-open {
	height: 100%;
	overflow: hidden;

	.#{$nav} {
		opacity: 1;
		z-index: 2000;
		visibility: visible;
		transition: .2s;
	}
}

.#{$nav} {
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	opacity: 0;
	visibility: hidden;
	z-index: -1;
	position: fixed;
	background: rgba(0,0,0,0.25);
	backdrop-filter: blur(3px);
	transition: .2s;

	&__close {
		top: 20px;
		right: 30px;
		z-index: 300;
		display: none;
		width: 32px;
		height: 32px;
		font-size: 0;
		line-height: 0;
		cursor: pointer;
		border: none;
		outline: none;
		position: absolute;

		&:after,
		&:before {
			top: 50%;
			z-index: 10;
			left: calc(50% - 12px);
			width: 24px;
			height: 1px;
			content: '';
			background: $black;
			position: absolute;
		}

		&:after {
			transform: rotate(-45deg);
		}

		&:before {
			transform: rotate(45deg);
		}
	}

	&__container {
		top: 0;
		right: 0;
		bottom: 0;
		z-index: 100;
		width: 300px;
		background: $white;
		position: absolute;
	}

	&__layout {
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		z-index: 1;
		position: absolute;
	}

	&__main {
		width: 100%;

		display: flex;
		height: 100%;
		flex-direction: column;
	}

	&__header {
		height: 130px;
		background: $cyan;
		position: relative;
		display: flex;
		flex-direction: column;
		justify-content: flex-end;
		flex-shrink: 0;

		&--image {
			z-index: 1;
			position: relative;
		}

		&--logo {
			z-index: 10;
			left: 20px;
			bottom: 12px;
			width: 83px;
			display: block;
			position: absolute;
		}
	}


	&__content {
		flex-grow: 1;
	}

	&__primary {
		flex-grow: 1;
		display: flex;
		overflow-y: auto;
		flex-direction: column;
		padding-bottom: 150px;

		&--content {
			flex-grow: 1;
		}
	}

	&__menu {
		font-size: font-size-rel(16px);
		line-height: font-size-rel(18px);
		margin: 0 0 9px 0;
		padding: 0;
		list-style: none;
		flex-grow: 1;

		&--item {

		}

		&--catalog {
			height: 40px;
			padding: 4px 20px;
			color: $black;
			font-weight: 700;
			background: $gray-100;
			text-decoration: none;
			display: flex;
			align-items: center;
			justify-content: flex-end;

			svg {
				stroke: $black;
			}

			span {
				display: inline-block;
			}

			i {
				margin-left: 12px;
				margin-right: -8px;
				width: 24px;
				height: 24px;
				font-size: 0;
				line-height: 0;
				position: relative;
				display: inline-block;
			}
		}

		&--link {
			height: 40px;
			padding: 4px 20px;
			color: $black;
			text-decoration: underline;
			display: flex;
			align-items: center;
			justify-content: flex-end;

			svg {
				stroke: $black;
			}

			span {
				display: inline-block;
			}

			i {
				margin-left: 12px;
				margin-right: -8px;
				width: 24px;
				height: 24px;
				font-size: 0;
				line-height: 0;
				position: relative;
				display: inline-block;
			}
		}
	}

	&__contact {
		margin: 0 15px;
		padding-top: 25px;
		display: flex;
		border-top: 1px solid $gray-100;

		&--group {
			width: 50%;
			position: relative;

			&:first-child {
				border-right: 1px solid $gray-100;
			}
		}

		&--title {
			text-align: center;
			margin-bottom: 12px;
			font-size: font-size-rel(13px);
			line-height: font-size-rel(15px);
		}

		&--main {
			display: flex;
			justify-content: space-evenly;
		}

		&--item {
			color: $black;
			text-decoration: none;
			text-align: center;
			font-size: font-size-rel(12px);
			line-height: font-size-rel(14px);
			text-align: center;

			i {
				width: 50px;
				height: 50px;
				margin: 0 auto 6px auto;
				overflow: hidden;
				border-radius: 6px;
				background: $gray-100;
				display: block;
			}

			span {
				display: block;
				white-space: nowrap;
			}
		}
	}

	&__second {
		top: 130px;
		left: 0;
		right: 0;
		bottom: 0;
		z-index: 100;
		background: $white;
		position: absolute;
		transform: translateX(100%);
		transition: .3s;

		&--header {
			height: 40px;
			padding: 4px 20px;
			background: $gray-100;
			display: flex;
			align-items: center;
			justify-content: flex-end;

			svg {
				stroke: $black;
			}

			span {
				display: inline-block;
			}

			i {
				margin-left: 12px;
				margin-right: -8px;
				width: 24px;
				height: 24px;
				font-size: 0;
				line-height: 0;
				position: relative;
				display: inline-block;
			}
		}

		&.active {
			transform: translateX(0%);
			transition: .3s;
		}
	}

	&__cat {
		left: 0;
		bottom: 0;
		top: 130px;
		width: 100%;
		z-index: 100;
		position: absolute;
		background: $gray-100;
		transform: translateX(100%);
		transition: .3s;

		&.active {
			transform: translateX(0%);
			transition: .3s;
		}
	}

	.nav-second-close {
		cursor: pointer;
	}

	@media (min-width: 568px) {

		&__header {
			display: none;
		}

		&__second {
			top: 0;
		}

		&__cat {
			top: 0;
		}
	}

	@media (min-width: $screen-sm-min) {

		&__close {
			display: block;
		}

		&__container {
			width: 440px;
		}

		&__main {

		}

		&__primary {
			padding: 70px 35px 40px 35px;

			&--content {
				flex-grow: 0;
			}
		}

		&__contact {
			margin: 0;
			padding-top: 25px;
			flex-direction: column-reverse;

			&--group {
				width: 100%;
				margin-bottom: 50px;

				&:first-child {
					margin-bottom: 0;
					border-right: none;
				}
			}

			&--title {
				text-align: left;
				margin-bottom: 18px;
				font-size: font-size-rel(20px);
				line-height: font-size-rel(22px);
			}

			&--main {
				justify-content: flex-start;
			}

			&--item {
				font-size: font-size-rel(16px);
				line-height: font-size-rel(19px);
				margin-right: 40px;

				i {
					width: 60px;
					height: 60px;
				}
			}
		}

		&__menu {
			margin-bottom: 20px;
			font-size: font-size-rel(18px);
			line-height: font-size-rel(24px);

			&--link {
				height: 54px;
				justify-content: space-between;
				padding: 2px 50px 2px 34px;

				i {
					display: none;
				}
			}

			&--catalog {
				height: 60px;
				padding: 5px 25px;
				justify-content: space-between;
			}
		}

		&__cat {
			top: 70px;
		}

		&__second {
			top: 70px;

			&--header {
				height: 60px;
				padding: 2px 40px 2px 34px;
				font-size: font-size-rel(18px);
				line-height: font-size-rel(24px);
				justify-content: space-between;
			}
		}
	}

	@media (min-width: $screen-md-min) {

	}

	@media (min-width: $screen-lg-min) {

	}

	@media (min-width: $screen-xl-min) {

	}
}

.nav-cat {
	width: 100%;
	overflow: hidden;

	&__primary {
		height: 100%;
	}

	&__main {
		height: 100%;
	}

	&__content {
		overflow-y: auto;
		padding-bottom: 150px;
		height: calc(100% - 48px);
	}

	&__header {
		color: $white;
		height: 48px;
		padding: 4px 20px;
		cursor: pointer;
		background: $purple-100;
		display: flex;
		align-items: center;
		justify-content: flex-end;

		svg {
			stroke: $white;
		}

		span {
			display: inline-block;
		}

		i {
			margin-left: 12px;
			margin-right: -8px;
			width: 24px;
			height: 24px;
			font-size: 0;
			line-height: 0;
			position: relative;
			display: inline-block;
		}
	}

	&__menu {
		margin: 0;
		padding: 0;
		list-style: none;
		font-size: font-size-rel(14px);
		line-height: font-size-rel(19px);
	}

	&__link {
		height: 44px;
		padding: 2px 50px 2px 20px;
		color: $black;
		text-align: right;
		position: relative;
		text-decoration: none;
		display: flex;
		align-items: center;
		justify-content: flex-end;

		svg {
			stroke: $black;
		}

		span {
			display: inline-block;
		}

		i {
			right: 14px;
			top: calc(50% - 12px);
			width: 24px;
			height: 24px;
			font-size: 0;
			line-height: 0;
			position: absolute;
			display: inline-block;
		}
	}

	&__second {
		top: 0;
		left: 0;
		bottom: 0;
		width: 100%;
		z-index: 200;
		background: $white;
		position: absolute;
		transform: translateX(100%);
		transition: .3s;

		&.active {
			transform: translateX(0%);
			transition: .3s;
		}
	}

	@media (min-width: $screen-sm-min) {

		&__header {
			height: 60px;
			padding-left: 34px;
			font-size: font-size-rel(18px);
			line-height: font-size-rel(24px);
			justify-content: space-between;
		}

		&__menu {
			font-size: font-size-rel(18px);
			line-height: font-size-rel(24px);
		}

		&__link {
			height: 54px;
			justify-content: space-between;
			padding: 2px 50px 2px 34px;
		}
	}

	@media (min-width: $screen-md-min) {

	}
}